So installieren Sie Metasploit unter Debian 12

In diesem Tutorial zeigen wir Ihnen, wie Sie Metasploit unter Debian 12 installieren. Metasploit ist ein leistungsstarkes Open-Source-Penetrationstest-Framework, das von Sicherheitsexperten verwendet wird, um Schwachstellen in Systemen und Netzwerken zu finden und auszunutzen. Es bietet einen robusten Satz an Tools, Modulen und Exploits, um reale Angriffe zu simulieren und den Sicherheitsstatus einer Organisation zu bewerten. Während Metasploit häufig mit Kali Linux in Verbindung gebracht wird, kann es auch auf anderen Linux-Distributionen installiert werden, einschließlich Debian 12.

In diesem Artikel wird davon ausgegangen, dass Sie zumindest über Grundkenntnisse in Linux verfügen, wissen, wie man die Shell verwendet, und, was am wichtigsten ist, dass Sie Ihre Site auf Ihrem eigenen VPS hosten. Die Installation ist recht einfach und setzt voraus, dass Sie im Root-Konto ausgeführt werden. Andernfalls müssen Sie möglicherweise Folgendes hinzufügen:sudo‚ zu den Befehlen, um Root-Rechte zu erhalten. Ich zeige Ihnen die Schritt-für-Schritt-Installation des Metasploit auf einem Debian 12 (Bücherwurm).

Voraussetzungen

Bevor Sie mit der Installation von Metasploit unter Debian 12 fortfahren, stellen Sie sicher, dass Sie die folgenden Anforderungen erfüllen:

  • Ein Server, auf dem eines der folgenden Betriebssysteme ausgeführt wird: Debian 12 (Bücherwurm).
  • Es wird empfohlen, eine Neuinstallation des Betriebssystems zu verwenden, um mögliche Probleme zu vermeiden.
  • SSH-Zugriff auf den Server (oder öffnen Sie einfach Terminal, wenn Sie sich auf einem Desktop befinden).
  • Eine aktive Internetverbindung. Sie benötigen eine Internetverbindung, um die erforderlichen Pakete und Abhängigkeiten für den Metasploit herunterzuladen.
  • Ein Benutzerkonto mit Sudo-Berechtigungen zum Ausführen administrativer Befehle.

Installieren Sie Metasploit auf Debian 12 Bookworm

Schritt 1. Um sicherzustellen, dass Ihre Debian 12-Installation auf dem neuesten Stand ist, führen Sie die folgenden Befehle im Terminal aus:

sudo apt update
sudo apt upgrade

Der apt update Der Befehl aktualisiert die Paketlisten aus den Repositorys, während apt upgrade Installiert verfügbare Updates für installierte Pakete. Wenn Sie dazu aufgefordert werden, überprüfen Sie die Änderungen und drücken Sie „Y“, um mit dem Upgrade fortzufahren.

Schritt 2. Abhängigkeiten installieren.

Metasploit Framework ist auf mehrere Abhängigkeiten angewiesen, um ordnungsgemäß zu funktionieren. Installieren Sie sie mit dem folgenden Befehl:

sudo apt install build-essential zlib1g zlib1g-dev libpq-dev libpcap-dev libsqlite3-dev ruby ruby-dev

Schritt 3. Metasploit unter Debian 12 installieren.

Rapid7, das Unternehmen hinter Metasploit, stellt ein Installationsskript zur Verfügung, um den Installationsprozess zu optimieren. Laden Sie es mit dem folgenden Befehl herunter:

curl https://raw.githubusercontent.com/rapid7/metasploit-omnibus/master/config/templates/metasploit-framework-wrappers/msfupdate.erb > msfinstall

Dieser Befehl verwendet curl um das Installationsskript aus dem offiziellen GitHub-Repository von Rapid7 herunterzuladen und es unter zu speichern msfinstall im aktuellen Verzeichnis.

Machen Sie als Nächstes das Installationsskript mit dem folgenden Befehl ausführbar:

chmod +x msfinstall

Nachdem wir das Installationsskript heruntergeladen und ausführbar gemacht haben, können wir es jetzt ausführen, um Metasploit Framework zu installieren. Führen Sie den folgenden Befehl aus:

sudo ./msfinstall

Das Installationsprogramm startet und führt Sie durch den Einrichtungsvorgang. Hier sind einige wichtige Eingabeaufforderungen, auf die Sie möglicherweise stoßen:

  • Lizenzvereinbarung: Lesen Sie die Rapid7-Lizenzbedingungen durch und geben Sie „Ja“ ein, um zuzustimmen und fortzufahren.
  • Installationsverzeichnis: Standardmäßig wird Metasploit installiert /opt/metasploit-framework. Drücken Sie die Eingabetaste, um den Standardpfad zu akzeptieren oder ein benutzerdefiniertes Verzeichnis anzugeben.
  • Datenbankkonfiguration: Metasploit verwendet eine PostgreSQL-Datenbank zum Speichern von Projektdaten. Wenn Sie dazu aufgefordert werden, geben Sie „Ja“ ein, um eine neue Datenbank einzurichten.
  • Webdienst: Der Metasploit-Webdienst ist optional. Wenn Sie dazu aufgefordert werden, geben Sie „Nein“ ein, um die Einrichtung zu überspringen, es sei denn, Sie benötigen diese Funktion ausdrücklich.
  • Schritt 4. Zugriff auf Metasploit unter Debian.

    Führen Sie nach der erfolgreichen Installation von Metasploit einige erste Konfigurationsschritte durch, um einen reibungslosen Betrieb sicherzustellen. Starten Sie die Metasploit-Konsole:

    msfconsole

    Wenn Sie dazu aufgefordert werden, richten Sie eine neue Datenbank ein, indem Sie den Anweisungen auf dem Bildschirm folgen.

    Glückwunsch! Sie haben Metasploit erfolgreich installiert. Vielen Dank, dass Sie dieses Tutorial zur Installation der neuesten Version von Metasploit unter Debian 12 verwendet haben Bücherwurm. Für weitere Hilfe oder nützliche Informationen empfehlen wir Ihnen, hier nachzuschauen die offizielle Metasploit-Website.

    Schreibe einen Kommentar

    Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert